Bug 523632 - Boot-time timeout too long for monitors that don't expose EDID information
Summary: Boot-time timeout too long for monitors that don't expose EDID information
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 09:18 UTC by Amit Shah
Modified: 2010-06-28 14:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:40:53 UTC


Attachments (Terms of Use)

Description Amit Shah 2009-09-16 09:18:02 UTC
Description of problem:

I have a monitor that doesn't export EDID info. The boot time is very high in this case. The EDID probing happens multiple times as well:

Sep 16 11:44:15 core2 /usr/sbin/gpm[2133]: Started gpm successfully. Entered daemon mode.
Sep 16 11:44:16 core2 kernel: i2c-adapter i2c-0: unable to read EDID block.
Sep 16 11:44:16 core2 kernel: i915 0000:00:02.0: VGA-1: no EDID data
Sep 16 11:44:16 core2 kernel: i2c-adapter i2c-0: unable to read EDID block.
Sep 16 11:44:16 core2 kernel: i915 0000:00:02.0: VGA-1: no EDID data
Sep 16 11:44:17 core2 kernel: [drm] DAC-6: set mode 1280x1024_60.00 a

...

Sep 16 11:44:19 core2 NetworkManager: <info>  Policy set 'System eth0' (eth0) as default for routing and DNS.
Sep 16 11:44:19 core2 NetworkManager: <info>  Activation (eth0) successful, device activated.
Sep 16 11:44:19 core2 NetworkManager: <info>  Activation (eth0) Stage 5 of 5 (IP Configure Commit) complete.
Sep 16 11:44:22 core2 kernel: i2c-adapter i2c-0: unable to read EDID block.
Sep 16 11:44:22 core2 kernel: i915 0000:00:02.0: VGA-1: no EDID data
Sep 16 11:44:22 core2 kernel: i2c-adapter i2c-0: unable to read EDID block.
Sep 16 11:44:22 core2 kernel: i915 0000:00:02.0: VGA-1: no EDID data
Sep 16 11:44:22 core2 kernel: i2c-adapter i2c-0: unable to read EDID block.
Sep 16 11:44:22 core2 kernel: i915 0000:00:02.0: VGA-1: no EDID data
Sep 16 11:44:25 core2 kernel: audit(1253081665.442:32933):

...

Sep 16 11:44:37 core2 dbus: Rejected send message, 2 matched rules; type="method_call", sender=":1.30" (uid=42 pid=2420 comm="/usr/bin/pulseaudio --start --log-target=syslog ") interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply=0 destination="org.bluez" (uid=0 pid=2046 comm="/usr/sbin/bluetoothd "))
Sep 16 11:44:37 core2 pulseaudio[2420]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.AccessDenied
Sep 16 11:44:50 core2 kernel: i2c-adapter i2c-0: unable to read EDID block.
Sep 16 11:44:50 core2 kernel: i915 0000:00:02.0: VGA-1: no EDID data
Sep 16 11:44:50 core2 kernel: i2c-adapter i2c-0: unable to read EDID block.
Sep 16 11:44:50 core2 kernel: i915 0000:00:02.0: VGA-1: no EDID data
Sep 16 11:44:51 core2 kernel: i2c-adapter i2c-0: unable to read EDID block.
Sep 16 11:44:51 core2 kernel: i915 0000:00:02.0: VGA-1: no EDID data
Sep 16 11:44:51 core2 kernel: fuse init (API version 7.11)
Sep 16 11:44:53 core2 pulseaudio[2745]: pid.c: Daemon already running.

...

Comment 1 Bug Zapper 2010-04-28 10:24:17 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:40:53 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.